<template>
  <secion>
    <div class="call-to-action d-flex flex-row">
      <el-container>
        <el-row class="calltoaction-data">
          <el-col :lg="20" :xs="24" :md="20">
            <h1><b>Call To Action</b></h1>
            <p>
              Duis aute irure dolor in reprehenderit in voluptate velit esse
              cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat
              cupidatat non proident, sunt in culpa qui officia deserunt mollit
              anim id est laborum.
            </p>
          </el-col>
          <el-col :lg="4" :xs="24" :md="4">
            <button class="section-7-btn-1 btn">Call To Action</button>
          </el-col>
        </el-row>
      </el-container>
    </div>
  </secion>
</template>
<script>
export default {
  data() {
    return {};
  },
};
</script>
<style lang="scss">
.call-to-action {
  background-image: url("@/assets/images/cta-bg.jpg");
  background-attachment: fixed;
  padding: 2% 5%;
  .calltoaction-data {
    display: flex;
    flex-direction: row;
    align-items: center;
    p {
      color: #fff;
      text-align: left;
    }
  }

  h1 {
    font-size: 30px;
    color: #fff;
    text-align: left;
  }
  p {
    color: #fff;
  }
  .section-7-btn-1 {
    border-radius: 25px !important;
    padding: 15px 40px;
    border: 2px solid #fff;
    background-color: transparent;
    color: #fff;
    &:hover {
      background-color: #47b2e4;
      color: #f3f5fa;
      border: 2px solid #47b2e4;
    }
  }
}

@media only screen and (min-width: 320px) and (max-width: 991px) {
  .call-to-action {
    text-align: center;
    .calltoaction-data {
      display: block;
      justify-content: center;
      text-align: center;
      h1 {
        text-align: center;
      }
      p {
        text-align: center;
      }
    }
  }
}

@media screen and (min-width: 992px) and (max-width: 1120px) {
  .call-to-action {
    padding: 2% 5%;
    text-align: center;
    .calltoaction-data {
      .section-7-btn-1 {
        border-radius: 25px !important;
        padding: 10px 20px;
        border: 2px solid #fff;
        background-color: transparent;
        color: #fff;
        &:hover {
          background-color: #47b2e4;
          color: #f3f5fa;
          border: 2px solid #47b2e4;
        }
      }
    }
  }
}
</style>
